function [R1 R2 R3 currentObjQ] = loadDataQuestion(nameFile, displayAll)

currentObjQ = [];

if nargin >= 1
    %nameFile = 'LT.txt';
    
    currentObjQ = QuestionData(nameFile);
    
    R1 = currentObjQ.MeanQ1;
    R2 = currentObjQ.MeanQ2;
    R3 = currentObjQ.MeanQ3;
    
else
    R1 = -1;
    R2 = -1;
    R3 = -1;
end

if nargin == 2
    if displayAll
        figure(848)
        clf
        subplot(311)
        plot(currentObjQ.ValueQ1);
        hold on
        plot([0 length(currentObjQ.ValueQ1)], [currentObjQ.MeanQ1 currentObjQ.MeanQ1],'r','LineWidth',3)
        axis([0 length(currentObjQ.ValueQ1) 0 1]);
        grid on
        xlabel('Nb Question')
        ylabel(' Rating')
        title('Sensation Seeking Scale');
        subplot(312)
        plot(currentObjQ.ValueQ2/5);
        hold on
        plot([0 length(currentObjQ.ValueQ2)], [currentObjQ.MeanQ2 currentObjQ.MeanQ2],'r','LineWidth',3)
        grid on
        xlabel('Nb Question')
        ylabel(' Rating')
        title('CEI II Scale');
        axis([0 length(currentObjQ.ValueQ2) 0 1]);
        
        subplot(313)
        plot(currentObjQ.ValueQ3);
        hold on
        plot([0 length(currentObjQ.ValueQ3)], [currentObjQ.MeanQ3 currentObjQ.MeanQ3],'r','LineWidth',3)
        grid on
        xlabel('Nb Question')
        ylabel(' Rating')
        title('Pearson Novelty Experiencing Scale');
        axis([0 length(currentObjQ.ValueQ3) 0 1]);
        
    end
end